From Fedora Project Wiki
No edit summary |
No edit summary |
||
(One intermediate revision by the same user not shown) | |||
Line 1: | Line 1: | ||
{{QA/Test_Case | {{QA/Test_Case | ||
|description=This test aims to verify that the exit status from sandboxed commands is correctly propagated to the host | |description=This test aims to verify that the exit status from sandboxed commands is correctly propagated to the host | ||
|setup= | |||
Follow the [[QA:Testcase_VirtSandbox_CommonSetup | VirtSandbox common setup]] | |||
|actions= | |actions= | ||
# Run a command with "normal" exit status | # Run a command with "normal" exit status |
Latest revision as of 12:59, 13 April 2012
Description
This test aims to verify that the exit status from sandboxed commands is correctly propagated to the host
Setup
Follow the VirtSandbox common setup
How to test
- Run a command with "normal" exit status
- # /bin/true
- # echo $?
- Run a command with "normal" exit status in a sandbox
- # virt-sandbox -c $URI /bin/true
- # echo $?
- Run a command with "error" exit status
- # /bin/false
- #echo $?
- Run a command with "error" exit status in a sandbox
- # virt-sandbox -c $URI /bin/false
- # echo $?
- Run a command with a custom exit status
- # /bin/sh "exit 4"
- # echo $?
- Run a command with a custom exit status in a sandbox
- # virt-sandbox -c $URI -- /bin/sh -c "exit 4"
- # echo $?
Expected Results
- 0
- 0
- 1
- 1
- 4
- 4